Bug 1285963 - Show cloud Tenant field in cloud image summary page.
Show cloud Tenant field in cloud image summary page.
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.7.0
Assigned To: Zita Nemeckova
Pavol Kotvan
cloud:tenant
: TestOnly, ZStream
Depends On:
Blocks: 1275514 1348630
  Show dependency treegraph
 
Reported: 2015-11-27 00:18 EST by Aziza Karol
Modified: 2017-01-11 23:58 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.7.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1348630 (view as bug list)
Environment:
Last Closed: 2017-01-11 15:13:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-11-27 00:18:49 EST
Description of problem:
I encountered this issue while verification of Bz https://bugzilla.redhat.com/show_bug.cgi?id=1275514.
Tenant column in the template selection list of catalog item should be displayed for only cloud provider templates

Version-Release number of selected component (if applicable):
5.5.0.12

How reproducible:
100%

Steps to Reproduce:
when catalog item is created with infrastructure type for example VMware,  cloud_tenant column should not be seen but When we create an item with type OpenStack we should see it but its not displaying.

so,in order to have the tenant column displayed while creating a catalog item of type Openstack we need to have tenant field in the cloud image summary page.

Actual results:
No tenant column displayed in cloud image summary page

Expected results:
if we want show cloud tenant in the catalog item page,then same field should be added to image summary page. 
 
Additional info:
Comment 2 Harpreet Kataria 2015-11-30 09:43:25 EST
Roman,

Can you verify if cloud tenant info on Template image summary screen is being displayed or not i thought i had seen that on one of the VM* summary screens.

Thanks,
~Harpreet
Comment 4 Harpreet Kataria 2016-03-23 13:06:08 EDT
Zita,

Can you look into this, let me know if you have questions.

Thanks,
~ Harpreet
Comment 6 CFME Bot 2016-05-09 03:40:47 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/97f2077a906557b7e6ba8a3f3099c66eb80993d2

commit 97f2077a906557b7e6ba8a3f3099c66eb80993d2
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Wed May 4 16:19:35 2016 +0200
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Wed May 4 16:19:35 2016 +0200

    Show cloud Tenant field in cloud image summary page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1285963

 app/helpers/vm_cloud_helper/textual_summary.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 13 Zita Nemeckova 2016-07-19 02:37:24 EDT
https://github.com/ManageIQ/manageiq/pull/9846

Note You need to log in before you can comment on or make changes to this bug.